Tuk Bredsdorff  committed 7162907

Use active_entities (thanks, TIG!).

  • Participants
  • Parent commits 86808fc

Comments (0)

Files changed (1)

File geodome_frame.rb

 # Create a strut (as a box in a group)
 # along an edge, facing a center point.
 def create_strut edge, center, size
-	entities = Sketchup.active_model.entities
+	entities = Sketchup.active_model.active_entities
 	width, depth = size
 	vec_to_center = edge.start.position.vector_to center
 # Loop through all edges in the current selection and
 # create struts. And add all the struts to a group.
 def create_frame edges, center, size
-	frame_group = Sketchup.active_model.entities.add_group
+	frame_group = Sketchup.active_model.active_entities.add_group = 'Geodome frame'
 	for edge in edges